From 393a0a0c75cf74d93c6186ea00ff34f6b96df011 Mon Sep 17 00:00:00 2001
From: Laurenz Albe <laurenz.albe@cybertec.at>
Date: Mon, 16 Nov 2020 19:01:22 +0100
Subject: [PATCH] Fix build for libicu 68 and later

ICU commit c3fe7e09d8 got rid of TRUE and FALSE and uses
"true" and "false" from "stdbool.h" instead.
Reported by Atul Kumar, diagnosis by Thomas Munro.
---
 src/include/utils/pg_locale.h | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/include/utils/pg_locale.h b/src/include/utils/pg_locale.h
index 96da132c03..cf20dbc049 100644
--- a/src/include/utils/pg_locale.h
+++ b/src/include/utils/pg_locale.h
@@ -34,6 +34,12 @@
 #endif
 #endif
 
+/* ICU 68 has got rid of TRUE and FALSE and uses stdbool.h instead */
+#if U_ICU_VERSION_MAJOR_NUM >= 68
+#define TRUE  true
+#define FALSE false
+#endif
+
 
 /* GUC settings */
 extern char *locale_messages;
-- 
2.26.2

